Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Glenn Morris <[email-masked]>
Date: Wed, 07 Dec 2016 13:55:49 -0500

Vincent Belaïche wrote:

> I could not reproduce it with the -Og compilation either. I tried to
> recompile with same options as the crashing Emacs (-O3 and no CFLAGS)
> and I could not reproduce it either.
>
> I am now sure that the crashing Emacs was compiled with a w32 (not w64)
> mingw, because when compiling with w64 you get `(i686-w64-mingw32)' in
> the Emacs bug reprot, while in the orginal report there was
> `(i686-pc-mingw32)'.
>
> So either
>
> - the changes made in ses.el by me now hide the bug (or the crash won't
>   happen so easily), or
>
> - there was some changes in the C code since the crashing Emacs, and
>   that has corrected or moved/hidden the problem.
>
>
> So now, I am trying to reproduce the crash again with the Emacs instance
> that initially was crashing in order to find some more deterministic way
> to produce the crash and be able to test again those other Emacs
> instance with a more reliable verdict.

Since the best part of a year has passed, I don't think this report is
going to go anywhere and am closing it. I suggest opening a new report
if you have a more reproducible/debuggable case.